# Module: `nbconvert.postprocessors.pdf`

Contains writer for writing nbconvert output to PDF.

## 1 Class

class `IPython.nbconvert.postprocessors.pdf.``PDFPostProcessor`(**kw)

  Bases: `IPython.nbconvert.postprocessors.base.PostProcessorBase`

  Writer designed to write to PDF files

  `clean_temp_files`(filename)

    Remove temporary files created by pdflatex/bibtex.

  `open_pdf`(filename)

    Open the pdf in the default viewer.

  `postprocess`(filename)

    Build a PDF by running pdflatex and bibtex

  `run_bib`(filename)

    Run bibtex self.latex_count times.

  `run_command`(command_list, filename, count, log_function)

    Run command_list count times.

    Parameters:

    command_list : list

    > A list of args to provide to Popen. Each element of this list will be interpolated with the filename to convert.

    filename : unicode

    > The name of the file to convert.

    count : int

    > How many times to run the command.

    Returns:

    continue : bool

    > A boolean indicating if the command was successful (True) or failed (False).

  `run_latex`(filename)

    Run pdflatex self.latex_count times.